<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>Employee Status</title>
</head>
<body>
<main layout:fragment="main" class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                <span>List Employee Status</span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div th:if="${berhasil != null}" class="alert alert-success" role="alert">
                <span th:text="${berhasil}"></span>
            </div>
            <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 border rounded">
                <br>
                <!--            <div class="card-header p-3 align-middle">-->
                <form method="get">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-4 align-right">
                                    Show entries <span sd:page-size-selector="javascript"></span>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-select" id="companies" name="companies">
                                        <option value="">Pilih Company</option>
                                        <option th:each="datass : ${listCompanies}"
                                                th:selected="(${datass} == *{companiesSelected})"
                                                th:text="${datass.companyName}"
                                                th:value="${datass.id}">sdasd</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-9">
                                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                                </div>
                                <div class="col-md-3">
                                    <input type="submit" class="btn btn-secondary" value="Search">
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <br>
                <div class="row mb-4">
                    <div class="col-md-6">


                    </div>
                    <div class="col-md-6">
                        <a th:if="${companiesSelected != null}" th:href="@{/employes/export/status(companies=${companiesSelected.getId()})}" class="btn btn-success" title="Add"><i class="ion-android-upload"></i> Export</a>
                        <a th:if="${companiesSelected == null}" th:href="@{/employes/export/status}" class="btn btn-success" title="Add"><i class="ion-android-upload"></i> Export</a>
<!--                        <button type="button" class="btn btn-success" data-toggle="modal" data-bs-target="#modal-import-status">-->
<!--                            <i class="ion-android-download"></i> Import Status-->
<!--                        </button>-->

                        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#exampleModal">
                            Import Status
                        </button>

                    </div>
                </div>

                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <form th:action="@{/employes/import/status_aktif}" method="post" enctype="multipart/form-data">
                            <div class="modal-header">
                                <h1 class="modal-title fs-5" id="exampleModalLabel">Employee Status</h1>
<!--                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
                                <span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title">Import Data Status Employee</h4>
                            </div>
                            <div class="modal-body">
                                <input type="file" th:name="file" />
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <input th:type="submit" class="btn-primary" value="Import" />
                            </div>
                            </form>
                        </div>
                    </div>
                </div>



                <div class="table-responsive">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th>#</th>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Status</th>
                            <th>Date</th>
                            <th style="width: 5px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="align-middle" th:each="data,row : ${listStatusEmployes}">
                            <td th:text="${(row.index + 1) + (listStatusEmployes.number * listStatusEmployes.size)}">1.</td>
                            <td>
                                <span th:if="${data.getNikAda() != null}" th:text="${data.getNikAda()}"></span>
                                <span th:if="${data.getNikAda() == null}">Null</span>
                            </td>
                            <td th:text="${data.getNama()}"></td>
                            <td>
                                <span th:if="${data.getStatusAda() != null}" th:text="${data.getStatusAda()}"></span>
                                <span th:if="${data.getStatusAda() == null}">Null</span>
                            </td>
                            <td>
                                <span th:if="${data.getTanggalAda() != null}" th:text="${#temporals.format(data.getTanggalAda(),'dd-MMM-yyyy')}"></span>
                                <span th:if="${data.getTanggalAda() == null}">Null</span>
                            </td>
                            <td>
                                <a th:href="@{/masterdata/employes/status/edit(employes=${data.id})}" class="btn btn-primary btn-sm">Update</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>
                <nav aria-label="Page navigation example small">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
    </div>
    </div>
</main>
</body>
</html>